package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "SHORTCUT"
)
public class SHORTCUT {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "DBDNAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String dbdname;
   @XmlAttribute(
      name = "REPOSITORYNAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String repositoryname;
   @XmlAttribute(
      name = "REFOBJECTNAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String refobjectname;
   @XmlAttribute(
      name = "REFERENCEDDBD"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String referenceddbd;
   @XmlAttribute(
      name = "REFERENCETYPE",
      required = true
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String referencetype;
   @XmlAttribute(
      name = "OBJECTTYPE",
      required = true
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String objecttype;
   @XmlAttribute(
      name = "OBJECTSUBTYPE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String objectsubtype;
   @XmlAttribute(
      name = "FOLDERNAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String foldername;
   @XmlAttribute(
      name = "FOLDERVERSIONNAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String folderversionname;
   @XmlAttribute(
      name = "COMMENTS"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String comments;
   @XmlAttribute(
      name = "VERSIONNUMBER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String versionnumber;
   @XmlAttribute(
      name = "TEMPLATEID"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String templateid;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getDBDNAME() {
      return this.dbdname;
   }

   public void setDBDNAME(String value) {
      this.dbdname = value;
   }

   public String getREPOSITORYNAME() {
      return this.repositoryname;
   }

   public void setREPOSITORYNAME(String value) {
      this.repositoryname = value;
   }

   public String getREFOBJECTNAME() {
      return this.refobjectname;
   }

   public void setREFOBJECTNAME(String value) {
      this.refobjectname = value;
   }

   public String getREFERENCEDDBD() {
      return this.referenceddbd;
   }

   public void setREFERENCEDDBD(String value) {
      this.referenceddbd = value;
   }

   public String getREFERENCETYPE() {
      return this.referencetype;
   }

   public void setREFERENCETYPE(String value) {
      this.referencetype = value;
   }

   public String getOBJECTTYPE() {
      return this.objecttype;
   }

   public void setOBJECTTYPE(String value) {
      this.objecttype = value;
   }

   public String getOBJECTSUBTYPE() {
      return this.objectsubtype;
   }

   public void setOBJECTSUBTYPE(String value) {
      this.objectsubtype = value;
   }

   public String getFOLDERNAME() {
      return this.foldername;
   }

   public void setFOLDERNAME(String value) {
      this.foldername = value;
   }

   public String getFOLDERVERSIONNAME() {
      return this.folderversionname;
   }

   public void setFOLDERVERSIONNAME(String value) {
      this.folderversionname = value;
   }

   public String getCOMMENTS() {
      return this.comments;
   }

   public void setCOMMENTS(String value) {
      this.comments = value;
   }

   public String getVERSIONNUMBER() {
      return this.versionnumber;
   }

   public void setVERSIONNUMBER(String value) {
      this.versionnumber = value;
   }

   public String getTEMPLATEID() {
      return this.templateid;
   }

   public void setTEMPLATEID(String value) {
      this.templateid = value;
   }
}
